#pragma once
#include "afxwin.h"

#define	ALARM_COND_ABOVE	0
#define	ALARM_COND_BELOW	1

#define ALARM_FUNC_SPOT		0
#define ALARM_FUNC_AREA		1

#define ALARM_RES_VALUE		0
#define ALARM_RES_AVG		0
#define ALARM_RES_MIN		1
#define ALARM_RES_MAX		2

// CAlarmSetupDlg dialog

class CAlarmSetupDlg : public CDialog
{
	DECLARE_DYNAMIC(CAlarmSetupDlg)

public:
	CAlarmSetupDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CAlarmSetupDlg();

// Dialog Data
	enum { IDD = IDD_ALARM_SETUP };

	bool	m_bActive;
	int		m_iCondition;
	int		m_DigOut;
	int		m_AlarmFunc;	// Alarm function
	int		m_AlarmResult;	// Alarm result
	int		m_iDigPorts;    // Number of digital output ports

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();

	DECLARE_MESSAGE_MAP()
public:
	CComboBox m_ctrlFunc;
	CComboBox m_ctrlResult;
	CComboBox m_ctrlCondition;
	CComboBox m_ctrlDigOut;
	afx_msg void OnBnClickedFlash();
	afx_msg void OnBnClickedActive();
	CButton m_ctrlActive;
	afx_msg void OnCbnSelchangeCondition();
	DWORD m_dwPulseTime;
	afx_msg void OnBnClickedOk();
	afx_msg void OnCbnSelchangeDigout();
	double m_AlarmValue;
	CButton m_ctrlFlash;
	BOOL m_bFlash;
	afx_msg void OnCbnSelchangeMeasFunc();
	afx_msg void OnCbnSelchangeResult();
};
