// LogDlg.cpp : implementation file
//

#include "stdafx.h"
#include "PvSimpleUISample.h"
#include "LogDlg.h"


// CLogDlg dialog

IMPLEMENT_DYNAMIC(CLogDlg, CDialog)

CLogDlg::CLogDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CLogDlg::IDD, pParent)
    , m_Interval(0)
{

}

CLogDlg::~CLogDlg()
{
}

void CLogDlg::DoDataExchange(CDataExchange* pDX)
{
    CDialog::DoDataExchange(pDX);
    DDX_Control(pDX, IDC_LOG_ACTIVE, m_ctrlLog);
    DDX_Text(pDX, IDC_LOG_INTERVAL, m_Interval);
}


BEGIN_MESSAGE_MAP(CLogDlg, CDialog)
	ON_BN_CLICKED(IDC_LOG_ACTIVE, &CLogDlg::OnBnClickedLogActive)
    ON_EN_CHANGE(IDC_LOG_INTERVAL, &CLogDlg::OnEnChangeLogInterval)
END_MESSAGE_MAP()


// CLogDlg message handlers

// =============================================================================
BOOL CLogDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	m_ctrlLog.SetCheck(m_bLog ? BST_CHECKED : BST_UNCHECKED);

	return TRUE;  // return TRUE  unless you set the focus to a control
}
void CLogDlg::OnBnClickedLogActive()
{
	m_bLog = m_ctrlLog.GetCheck() == BST_CHECKED ? true : false;
}

void CLogDlg::OnEnChangeLogInterval()
{
    UpdateData(TRUE);
}
