// AreaSetupDlg.cpp : implementation file
//

#include "stdafx.h"
#include "PvSimpleUISample.h"
#include "AreaSetupDlg.h"


// CAreaSetupDlg dialog

IMPLEMENT_DYNAMIC(CAreaSetupDlg, CDialog)

CAreaSetupDlg::CAreaSetupDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CAreaSetupDlg::IDD, pParent)
	, m_X(0)
	, m_Y(0)
	, m_Width(0)
	, m_Height(0)
{

}

CAreaSetupDlg::~CAreaSetupDlg()
{
}

void CAreaSetupDlg::DoDataExchange(CDataExchange* pDX)
{
    CDialog::DoDataExchange(pDX);
    DDX_Text(pDX, IDC_AREA_X, m_X);
    DDX_Text(pDX, IDC_AREA_Y, m_Y);
    DDX_Text(pDX, IDC_AREA_WIDTH, m_Width);
    DDX_Text(pDX, IDC_AREA_HEIGHT, m_Height);
    DDX_Control(pDX, IDC_AREA_ACTIVE, m_ctrlActive);
}


BEGIN_MESSAGE_MAP(CAreaSetupDlg, CDialog)
    ON_BN_CLICKED(IDC_AREA_ACTIVE, &CAreaSetupDlg::OnBnClickedAreaActive)
END_MESSAGE_MAP()


// CAreaSetupDlg message handlers
// =============================================================================
BOOL CAreaSetupDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	m_ctrlActive.SetCheck(m_bActive ? BST_CHECKED : BST_UNCHECKED);

    return TRUE;  // return TRUE  unless you set the focus to a control
}

void CAreaSetupDlg::OnBnClickedAreaActive()
{
	m_bActive = m_ctrlActive.GetCheck() == BST_CHECKED ? true : false;
}
